<?php
  include_once('background.php');
  include_once('htmlfuncs.php');
  
  function MinPage($CurrentPage, $ItemCount)
  {
    $MinPage = $CurrentPage - PageSpread();
    if ($MinPage < 1)
    {
      $MinPage = 1;
    }
    
    return $MinPage;
  }
  
  function MaxPage($CurrentPage, $ItemCount)
  {
    if ($CurrentPage * MaxResults() > $ItemCount)
    {
      $MaxPage = $CurrentPage;
    }
    else
    {
      $MaxPage = ceil($ItemCount / MaxResults());
      if ($MaxPage - PageSpread() >= $CurrentPage)
      {
        $MaxPage = $CurrentPage + PageSpread();
      }
    }
    return $MaxPage;
  }  
  
  function PageMenu($Query, $CurrentPage, $ItemCount)
  {
    if (MaxPage($CurrentPage, $ItemCount) < 2)
    {
      return "";
    }
    
    $Result = "<table align=\"center\"><tr><td align=\"center\">".Font("Arial", 2, "Page", 0)."</td></tr></table><table align=\"center\"><tr>";
     
    for ($i = MinPage($CurrentPage, $ItemCount); $i <= MaxPage($CurrentPage, $ItemCount); $i++)
    {
      $Result .= "<td>";
      if ($i == $CurrentPage)
      {
        $Result .= "<b><u>";
      }
      $Result .= href($i, "index.php?Query=".$Query."&Page=$i");
      if ($i == $CurrentPage)
      {
        $Result .= "</u></b>";
      }
      $Result .= "</td>";
    }
    
    $Result .= "</tr></table>";

    return $Result;
  }
?>